
package de.ivu.elect.presentation.gebietsbaum.menu;

import de.ivu.elect.business.gebietsbaum.entity.GebietConstants;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.GebietStatusuebersichtView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class GebietStatusuebersichtMenuItemEntry extends AbstractGebietMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public GebietStatusuebersichtMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIET_STATUSUEBERSICHT_ANZEIGEN;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  public String getTargetViewId() {
    return GebietStatusuebersichtView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMessage(GebietConstants.MESSAGE_KEY_ENTITY_MEHRZAHL));
  }

  @Override
  public String getLabelKey() {
    return "entity.status.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }
}
